package cn.bunny.file_dir;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.StandardCopyOption;

public class Demo9 {
    public static void main(String[] args) throws IOException {
        Path path = Paths.get("D:\\BaiduNetdiskDownload\\java项目\\目录");
        // 正常化路径
        System.out.println(path.normalize());

        // 判断文件是否存在
        System.out.println(Files.exists(path));

        // 创建单层目录
        Files.createDirectory(path);

        // 创建多层目录
        Files.createDirectories(path);

        // 拷贝文件
        Path source = Paths.get("data.txt");
        Path target = Paths.get("target.txt");
        Files.copy(source, target);
        // 如果存在文件覆盖文件
        Files.copy(source, target, StandardCopyOption.REPLACE_EXISTING);
        // 拷贝保证文件原子性
        Files.copy(source, target, StandardCopyOption.ATOMIC_MOVE);

        // 删除文件，只能删除空目录，如果有内容无法删除
        Files.delete(path);
    }
}
